<div id="content">
    <div class="row">
        <div class="author-info " *ngIf="!isLoading; else loader ">
            <div style="width:100%; ">
                <div style="float:left; width:25%; margin-right: 10px; margin-bottom: 10px; "><img [src]="author.imagePath " [alt]="author.name "></div>
                <div style="float:none; ">

                    <div class="head" *ngIf="!isLoading">
                        <h1> {{ author.name}} </h1>
                    </div>
                    <p>
                        {{ author.bio }}
                    </p>

                </div>
            </div>
        </div>

        <div *ngIf="!isLoading" class="buttons ">
            <button class="btn btn-dark " [routerLink]="['books'] ">Books</button>
            <button class="btn btn-dark " [routerLink]="['discussions']">Discussions</button>
            <button class="btn btn-dark " [routerLink]="[ '/authors'] ">All authors</button>

        </div>

        <ng-template #loader>
            <app-book-loader></app-book-loader>
        </ng-template>

        <div style="margin-top: 20px ">
            <router-outlet></router-outlet>
        </div>
    </div>
</div>
